<style>
    .zm-listview {
        width: 100%;
        height: calc(60% - 50px);
        position: relative;
        padding: 15px;
        margin-bottom: 20px;
        overflow: auto;
    }

    .zm-event {
        height: 310px;
        max-height: 310px;
    }

    .zm-columns-half {
        display: grid;
        grid-template-columns: calc(50% - 7.5px) calc(50% - 7.5px);
        grid-gap: 10px;
    }

    .zm-columns-1-by-2 {
        display: grid;
        grid-template-columns: calc(50% - 7.5px) calc(50% - 7.5px);
        grid-template-rows: 310px 310px;
        grid-gap: 10px;
    }

    .zm-column {
        padding: 0;
        grid-row: row;
    }

    .zm-event--cat1 {
        border-left: 3px solid red;
    }

    .zm-event--cat2 {
        border-left: 3px solid blue;
    }

    @media (min-width: 481px) and (max-width: 767px),
    (min-width: 320px) and (max-width: 480px) {

        .zm-columns-1-by-2 {
            grid-template-columns: auto;
            grid-template-rows: auto;
        }

        .zm-columns-half {
            grid-template-columns: auto;
            grid-template-rows: auto;
        }
    }
</style>
<div id="listview" class="zm-listview zm-columns-half">
    <div class="zm-column">
        <div class="zm-columns-1-by-2">
            {#if typeof($events) !== "undefined"} {#each $events as event,index } {#if event.category !== "CAT1"}
            <div class="zm-event zm-event--cat1">
                <EventCard event={event}></EventCard>
            </div>
            {/if} {/each} {/if}
        </div>
    </div>

    <div class="zm-column">
        <div class="zm-columns-1-by-2">
            {#if typeof($events) !== "undefined"} {#each $events as event} {#if event.category !== "CAT2"}
            <div class="zm-event zm-event--cat2">
                <EventCard event={event}></EventCard>
            </div>
            {/if} {/each} {/if}
        </div>
    </div>

</div>

<script>
    import EventCard from './event.html';
    export default {
        components: {
            EventCard
        }
    }
</script>